package lc.mecha.graph;

/**
 * A base implementation of the <code>DJObjectNavigator</code> interface.
 *
 * @author Alex Leigh
 * @since mk11 (ZERO CONTRAST)
 */
public abstract class DGObjectNavigatorBase extends DGNavigatorBase implements DGObjectNavigator {
    protected DGObjectNavigatorBase(DGNode self) {
        super(self);
    }

    public DGKey createKey(String propertyName) {
        return new DGKeyString(propertyName);
    }
}
